#include <bits/stdc++.h>
#define ll long long
#define pb push_back
#define fi first
#define se second
#define all(x) x.begin(),x.end()
#define pii pair<int,int>
#define pll pair<ll,ll>
#define en '\n'
using namespace std;
//const int mod=998244353;
const int mod=1e9+7;
const int maxn=3e5+10;
const int inf=2e9;
const ll linf=4e18;
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    int x1,y1,x2,y2;
    cin>>x1>>y1>>x2>>y2;
    if(x1==x2||y1==y2)cout<<2;
    else cout<<1;
    return 0;
}